Skip to main content
DELETE
/
v1
/
schedule_rotations
/
{id}
Delete a schedule rotation
curl --request DELETE \
  --url https://api.rootly.com/v1/schedule_rotations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "schedule_rotations",
    "attributes": {
      "schedule_id": "<string>",
      "name": "<string>",
      "schedule_rotationable_type": "ScheduleDailyRotation",
      "schedule_rotationable_attributes": {
        "handoff_time": "<string>"
      },
      "position": 123,
      "active_all_week": true,
      "active_days": [
        "S"
      ],
      "active_time_type": "<string>",
      "active_time_attributes": [
        {
          "start_time": "<string>",
          "end_time": "<string>"
        }
      ],
      "time_zone": "Etc/UTC",
      "start_time": "2023-12-25",
      "end_time": "2023-12-25"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

schedule_rotation deleted

data
object
required